$PackageName = 'dust';
$ToolsPath   = Split-Path -Parent $MyInvocation.MyCommand.Definition;
$PkgParams   = Get-PackageParameters;

if ($PkgParams.GNU) {
	$PackageArgs = @{
		PackageName    = $PackageName
		FileFullPath   = Get-Item $(Join-Path $ToolsPath 'dust-v0.5.2-i686-pc-windows-gnu.zip')
		FileFullPath64 = Get-Item $(Join-Path $ToolsPath 'dust-v0.5.2-x86_64-pc-windows-gnu.zip')
		Destination    = $ToolsPath
	};
} else {
	$PackageArgs = @{
		PackageName    = $PackageName
		FileFullPath   = Get-Item $(Join-Path $ToolsPath 'dust-v0.5.2-i686-pc-windows-msvc.zip')
		FileFullPath64 = Get-Item $(Join-Path $ToolsPath 'dust-v0.5.2-x86_64-pc-windows-msvc.zip')
		Destination    = $ToolsPath
	};
};

Get-ChocolateyUnzip @PackageArgs;
Remove-Item ($ToolsPath + '\*.' + 'zip');